Identity, people & notifications
Send Data Processing Email
Sends a data-processing-request confirmation email to the user and a copy to support@toku.com.
POSThttps://api.toku.com/platform/send-data-processing-email
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/platform/send-data-processing-email' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"role": "TOKU_ADMIN",
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"toUser": {
"userID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"person": {
"personID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"givenName": "string",
"familyName": "string"
},
"loginEmail": "user@example.com",
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"user": {
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"person": {
"givenName": "string",
"familyName": "string"
}
},
"requestType": "string",
"orgName": "string"
}'200 response
{
"isSuccess": true,
"errorMessage": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
rolestringrequiredAvailable options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT
roleInOrgIDstring<uuid>requiredtoUserobjectrequiredShow child attributes
userIDstring<uuid>requiredpersonobjectrequiredShow child attributes
personIDstring<uuid>requiredgivenNamestringrequiredAllowed: at most 200 characters
familyNamestringrequiredAllowed: at most 200 characters
loginEmailstring<email>requiredroleInOrgIDstring<uuid>userobjectrequiredShow child attributes
orgIDstring<uuid>requiredroleInOrgIDstring<uuid>requiredpersonobjectrequiredShow child attributes
givenNamestringrequiredAllowed: at most 200 characters
familyNamestringrequiredAllowed: at most 200 characters
requestTypestringrequiredAllowed: 1 to 100 characters
orgNamestringrequiredAllowed: 1 to 200 characters
Response
200Successful response
isSuccessbooleanrequirederrorMessagestring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits